/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 * @author   Gastón Dall' Oglio <gaston.dalloglio@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

header {
  background: transparent !important;
  border-bottom: 1px solid $transparency-blue-02;
  margin: 0;

  @include desktop {
    border-bottom: none;
    margin-bottom: 40px;
  }

  &.MuiPaper-elevation4 {
    box-shadow: none !important;
  }

  .header-top {
    @include container($max);
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 20px;
    padding-bottom: 10px;

    @include desktop {
      height: auto;
      padding: 20px;
    }

    .site-logo {
      width: 50px;
      transition: opacity $duration;
      cursor: pointer;

      @include desktop {
        width: 60px;
      }

      &:hover {
        opacity: .8;
      }
    }

    .unreal-mails {
      color: #287fb8 !important;

      .MuiBadge-root {
        color: #287fb8 !important;

        .MuiBadge-badge {
          color: white !important;
        }

        .svg-inline--fa {
          color: #287fb8 !important;

          path {
            color: #287fb8 !important;
          }
        }
      }
    }

    .userMenu {
      &.only-desktop {
        @include desktop {
          display: flex;
          align-items: center;
        }

        .userMenu-info {
          display: flex;
          align-items: center;
          margin-right: 15px;

          .userAvatar {
            margin-right: 8px;
          }
        }
      }
    }

    .menu-toggle {
      $size: 40px;
      $width: 40px;
      $height: 31px;
      $line-size: 5px;
      $line-color: $color-blue-01;
      $line-radius: $line-size;
      // $to-translate: $height - $line-size / 2;
      $to-translate: 13px;
      $bounce: cubic-bezier(.87, -.50, .19, 1.50);

      width: $size;
      height: $height;
      display: block;
      background: transparent;
      border: none;
      cursor: pointer;
      overflow: hidden;
      position: relative;

      .main-menu-toggle {
        z-index: 2;
        opacity: 0;
        position: absolute;
        top: 0;
        left: 0;

        &.state-on {
          + .menu-icon {
            transform: translate(-50%, -50%) rotate(90deg);
            transition: transform .2s ease-in-out;

            .menu-line {

              &.line-1 {
                opacity: 0;
                transform: translate3d(0, $to-translate, 0);
                transition: transform .2s ease-in-out .2s, opacity 0s ease-in-out .4s;
              }

              &.line-2 {
                transform: rotate(45deg);
                transition: transform .2s ease-in-out .5s;

                &:before {
                  transform: rotate(-90deg);
                  transition: transform .2s ease-in-out .5s;
                }
              }

              &.line-3 {
                opacity: 0;
                transform: translate3d(0, -$to-translate, 0);
                transition: transform .2s ease-in-out .2s, opacity 0s ease-in-out .4s;
              }
            }
          }
        }
      }

      .menu-icon {
        width: $width;
        height: $height;
        transform: translate(-50%, -50%);
        transition: transform 0s ease-in-out;
        z-index: 0;
        position: absolute;
        top: 50%;
        left: 50%;

        .menu-line {
          width: calc(100% - 1px);
          height: $line-size;
          background-color: $line-color;
          border-radius: $line-radius;
          pointer-events: none;
          position: absolute;
          left: 0;

          &.line-1 {
            top: 1px;
            transition: transform .2s ease-in-out .3s, opacity 0s ease-in-out .4s;
          }

          &.line-2 {
            top: 0;
            bottom: 0;
            margin: auto;
            transition: transform .2s ease-in-out;

            &:before {
              content: '';
              width: 100%;
              height: $line-size;
              background-color: $line-color;
              border-radius: $line-radius;
              transition: transform .2s ease-in-out;
              position: absolute;
              top: 0;
              left: 0;
              bottom: 0;
            }
          }

          &.line-3 {
            transition: transform .2s ease-in-out .3s, opacity 0s ease-in-out .4s;
            bottom: 1px;
          }
        }
      }
    }
  }

  .user-links {
    padding-top: 15px;
    text-align: center;

    @include desktop {
      padding-top: 0;
    }

    a {
      display: inline-block;
      color: $color-white-01;
      font-size: 16px;
      line-height: 1.2;
      transition: opacity $duration;

      @include desktop {
        font-size: 18px;
        color: $color-blue-01;
      }

      &.login {
        background: url(image-url('login-blue.svg')) no-repeat left center;
        background-size: contain;
        padding-left: 23px;

        @include desktop {
          background: url(image-url('login-blue.svg')) no-repeat left center;
          background-size: contain;
          padding-left: 24px;
        }
      }

      &.logout {
        background: url(image-url('logout-white.svg')) no-repeat left center;
        background-size: contain;
        padding-left: 25px;

        @include desktop {
          background: url(image-url('logout-blue.svg')) no-repeat left center;
          background-size: contain;
        }
      }

      &:hover, &:focus {
        opacity: .7;
      }
    }
  }
}
